| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iHistogramSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iHistogramSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iHistogramSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, ihs)
def | retrieve1D (self, path)
def | retrieve2D (self, path)
def | retrieve3D (self, path)
def | retrieveProfile1D (self, path)
def | retrieveProfile2D (self, path)
def | retrieve (self, path)
def | book (self, args)
def | bookProf (self, args)
def | __getitem__ (self, path)
def | getAsAIDA (self, path)
def | getAsROOT (self, path)
Public Member Functions inherited from GaudiPython.Bindings.iDataSvc
def | __init__ (self, name, idp)
def | registerObject (self, path, obj)
def | unregisterObject (self, path)
def | retrieveObject (self, path)
def | findObject (self, path)
def | getObject (self, path, args)
def | __getitem__ (self, path)
def | __setitem__ (self, path, obj)
def | __delitem__ (self, path)
def | leaves (self, node=None)
def | dump (self, node=None)
def | getList (self, node=None, lst=[], rootFID=None)
def | getHistoNames (self, node=None, lst=[])
def | setRoot (self, name, obj)
def | clearStore (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

Definition at line 657 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iHistogramSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | ihs
| ) |  |

Definition at line 658 of file Bindings.py.

658 def __init__(self, name, ihs):
659 self.__dict__['_ihs'] = InterfaceCast(gbl.IHistogramSvc)(ihs)
660 iDataSvc.__init__(self, name, ihs)
661
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.iHistogramSvc.__init__
def __init__(self, name, ihs)
Definition: Bindings.py:658

## Member Function Documentation

def GaudiPython.Bindings.iHistogramSvc.__getitem__ | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the object from  Histogram Transient Store (by path)
    The reference to AIDA histogram is returned (if possible)
    >>> svc = ...
    >>> histo = svc['path/to/my/histogram']

Definition at line 710 of file Bindings.py.

710 def __getitem__(self, path):
711 """
712 Retrieve the object from Histogram Transient Store (by path)
713 The reference to AIDA histogram is returned (if possible)
714 >>> svc = ...
715 >>> histo = svc['path/to/my/histogram']
716 """
717 h = self.retrieve(path)
718 if h:
719 return h
720 return iDataSvc.__getitem__(self, path)
721
GaudiPython.Bindings.iHistogramSvc.__getitem__
def __getitem__(self, path)
Definition: Bindings.py:710
GaudiPython.Bindings.iHistogramSvc.retrieve
def retrieve(self, path)
Definition: Bindings.py:677

def GaudiPython.Bindings.iHistogramSvc.book | ( |  | self,
|  |  | args
| ) |  |

    Book the histograms(1D,2D&3D) , see IHistogramSvc::book
    >>> svc = ...
    >>> histo = svc.book( .... )

Definition at line 694 of file Bindings.py.

694 def book(self, *args):
695 """
696 Book the histograms(1D,2D&3D) , see IHistogramSvc::book
697 >>> svc = ...
698 >>> histo = svc.book( .... )
699 """
700 return apply(self._ihs.book, args)
701
GaudiPython.Bindings.iHistogramSvc.book
def book(self, args)
Definition: Bindings.py:694

def GaudiPython.Bindings.iHistogramSvc.bookProf | ( |  | self,
|  |  | args
| ) |  |

    Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
    >>> svc = ...
    >>> histo = svc.bookProf( .... )

Definition at line 702 of file Bindings.py.

702 def bookProf(self, *args):
703 """
704 Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
705 >>> svc = ...
706 >>> histo = svc.bookProf( .... )
707 """
708 return apply(self._ihs.bookProf, args)
709
GaudiPython.Bindings.iHistogramSvc.bookProf
def bookProf(self, args)
Definition: Bindings.py:702

def GaudiPython.Bindings.iHistogramSvc.getAsAIDA | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The reference to AIDA histogram is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )

Definition at line 722 of file Bindings.py.

722 def getAsAIDA(self, path):
723 """
724 Retrieve the histogram from Histogram Transient Store (by path)
725 The reference to AIDA histogram is returned (if possible)
726 >>> svc = ...
727 >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )
728 """
729 return self.__getitem__(path)
730
GaudiPython.Bindings.iDataSvc.__getitem__
def __getitem__(self, path)
Definition: Bindings.py:564
GaudiPython.Bindings.iHistogramSvc.getAsAIDA
def getAsAIDA(self, path)
Definition: Bindings.py:722

def GaudiPython.Bindings.iHistogramSvc.getAsROOT | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The Underlying native ROOT object is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )

Definition at line 731 of file Bindings.py.

731 def getAsROOT(self, path):
732 """
733 Retrieve the histogram from Histogram Transient Store (by path)
734 The Underlying native ROOT object is returned (if possible)
735 >>> svc = ...
736 >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )
737 """
738 fun = gbl.Gaudi.Utils.Aida2ROOT.aida2root
739 return fun(self.getAsAIDA(path))
740
741 # ----iNTupleSvc class---------------------------------------------------------
742
743
GaudiPython.Bindings.iHistogramSvc.getAsAIDA
def getAsAIDA(self, path)
Definition: Bindings.py:722
GaudiPython.Bindings.iHistogramSvc.getAsROOT
def getAsROOT(self, path)
Definition: Bindings.py:731
fun
double fun(const std::vector< double > &x)
Definition: PFuncTest.cpp:26

def GaudiPython.Bindings.iHistogramSvc.retrieve | ( |  | self,
|  |  | path
| ) |  |

    Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
    >>> svc = ...
    >>> histo = svc.retrieve ( 'path/to/my/histogram' )

Definition at line 677 of file Bindings.py.

677 def retrieve(self, path):
678 """
679 Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
680 >>> svc = ...
681 >>> histo = svc.retrieve ( 'path/to/my/histogram' )
682 """
683 h = self.retrieve1D(path)
684 if not h:
685 h = self.retrieve2D(path)
686 if not h:
687 h = self.retrieve3D(path)
688 if not h:
689 h = self.retrieveProfile1D(path)
690 if not h:
691 h = self.retrieveProfile2D(path)
692 return h
693
GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D
def retrieveProfile1D(self, path)
Definition: Bindings.py:671
GaudiPython.Bindings.iHistogramSvc.retrieve1D
def retrieve1D(self, path)
Definition: Bindings.py:662
GaudiPython.Bindings.iHistogramSvc.retrieve3D
def retrieve3D(self, path)
Definition: Bindings.py:668
GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D
def retrieveProfile2D(self, path)
Definition: Bindings.py:674
GaudiPython.Bindings.iHistogramSvc.retrieve2D
def retrieve2D(self, path)
Definition: Bindings.py:665
GaudiPython.Bindings.iHistogramSvc.retrieve
def retrieve(self, path)
Definition: Bindings.py:677

def GaudiPython.Bindings.iHistogramSvc.retrieve1D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 662 of file Bindings.py.

662 def retrieve1D(self, path):
663 return Helper.histo1D(self._ihs, path)
664
GaudiPython.Bindings.iHistogramSvc.retrieve1D
def retrieve1D(self, path)
Definition: Bindings.py:662

def GaudiPython.Bindings.iHistogramSvc.retrieve2D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 665 of file Bindings.py.

665 def retrieve2D(self, path):
666 return Helper.histo2D(self._ihs, path)
667
GaudiPython.Bindings.iHistogramSvc.retrieve2D
def retrieve2D(self, path)
Definition: Bindings.py:665

def GaudiPython.Bindings.iHistogramSvc.retrieve3D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 668 of file Bindings.py.

668 def retrieve3D(self, path):
669 return Helper.histo3D(self._ihs, path)
670
GaudiPython.Bindings.iHistogramSvc.retrieve3D
def retrieve3D(self, path)
Definition: Bindings.py:668

def GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 671 of file Bindings.py.

671 def retrieveProfile1D(self, path):
672 return Helper.profile1D(self._ihs, path)
673
GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D
def retrieveProfile1D(self, path)
Definition: Bindings.py:671

def GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 674 of file Bindings.py.

674 def retrieveProfile2D(self, path):
675 return Helper.profile2D(self._ihs, path)
676
GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D
def retrieveProfile2D(self, path)
Definition: Bindings.py:674

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py